/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Class to hold Spectral Windows configuration
 * @export
 * @interface SpectralWindow
 */
export interface SpectralWindow {
    /**
     * 
     * @type {string}
     * @memberof SpectralWindow
     */
    'spectral_window_id': string;
    /**
     * 
     * @type {number}
     * @memberof SpectralWindow
     */
    'count': number;
    /**
     * 
     * @type {number}
     * @memberof SpectralWindow
     */
    'start': number;
    /**
     * 
     * @type {number}
     * @memberof SpectralWindow
     */
    'freq_min': number;
    /**
     * 
     * @type {number}
     * @memberof SpectralWindow
     */
    'freq_max': number;
    /**
     * 
     * @type {number}
     * @memberof SpectralWindow
     */
    'stride'?: number;
    /**
     * 
     * @type {Array<Array<any>>}
     * @memberof SpectralWindow
     */
    'link_map'?: Array<Array<any>>;
}

